//#import <Foundation/NSConnection.h>
//#import <Foundation/NSAutoreleasePool.h>
//#import <Foundation/NSDistantObject.h>
//#import <Cocoa/Cocoa.h>
#import "BPALoginNotification.h"
#import "notification.h"

/* Objective C proxy to an external interface for notification */
id externalInterface = nil;

/**
  * Method to notify the initialised notification server. A simple
  * string is passed to the server.
  **/
void notify(const char * notificationString)
{
NS_DURING
    NSString * string;
    if (externalInterface == nil) {
        return;
    }
    string = [NSString stringWithCString:notificationString];
    [externalInterface bpaLoginNotification:string];
NS_HANDLER
NS_ENDHANDLER
}

/**
  * Method to initialise the external interface to a registered name
  * server, given the registered name.
  **/
void initNotification(const char * name)
{
NS_DURING
    NSAutoreleasePool *pool =[[NSAutoreleasePool alloc] init];
    NSString * registeredName = [NSString stringWithCString:name];

    externalInterface
	    = [NSConnection
	           rootProxyForConnectionWithRegisteredName:registeredName
		   host:nil];
    [externalInterface retain];
    [externalInterface setProtocolForProxy:@protocol(BPALoginNotification)];
NS_HANDLER
NS_ENDHANDLER
}
